package org.activiti.bpm.getstarted.malattierenali.delegate;

import java.util.logging.Logger;

import org.activiti.engine.delegate.DelegateExecution;
import org.activiti.engine.delegate.JavaDelegate;



public class DiagnosiRule implements JavaDelegate {
	private final static Logger LOG = Logger
			.getLogger(DiagnosiRule.class.getName());

	public void execute(DelegateExecution execution) throws Exception {


		if (execution.getVariable("infarto").equals(true) || 
				execution.getVariable("insufficienzaEpatica").equals(true) ||
				execution.getVariable("colesterolo").equals(true) ||
				execution.getVariable("sindromeEmoliticaUremica").equals(true) ||
				execution.getVariable("infezioneReni").equals(true)){

			LOG.info("\n\n\n    Diagnosi: Insufficienza renale acuta. Effettuare ecografia dei reni e TAC addominale \n\n\n"); 
		} 
		else if (execution.getVariable("diabete").equals(true) ||
				execution.getVariable("ipertensione").equals(true) ||
				execution.getVariable("nefriteInterstiziale").equals(true) ||
				execution.getVariable("renePolicistico").equals(true) ||
				execution.getVariable("reflussoVescicoUretrale").equals(true)){

			LOG.info("\n\n\n    Diagnosi: Insufficienza renale cronica. Effettuare ECO, TAC e biopsia renale \n\n\n"); 
		}

		else
			LOG.info("\n\n\n    Diagnosi non accertata \n\n\n");

	} 
}
